pfodParser 5.0.1 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | Protected Member Functions | List of all members
pfodBTCBufferedStream Class Reference

(c)2015 Forward Computing and Control Pty. More...

`#include <pfodBTCBufferedStream.h>`

Inherits Stream.

## Public Member Functions
| pfodBTCBufferedStream ()
pfodBTCBufferedStream * | connect (Stream *_stream)
virtual size_t | write (uint8_t)
virtual size_t | write (const uint8_t *buf, size_t size)
virtual int | available ()
virtual int | read ()
virtual int | peek ()
virtual void | flush ()
void | setDebugStream (Print *out)
size_t | bytesToBeSent ()
void | clearTxBuffer ()

## Protected Member Functions
void | init ()

## Detailed Description

(c)2015 Forward Computing and Control Pty.

Ltd. This code may be freely used for both private and commerical use. Provide this copyright is maintained.

Definition at line 11 of file pfodBTCBufferedStream.h.

## Constructor & Destructor Documentation

## ◆ pfodBTCBufferedStream()

pfodBTCBufferedStream::pfodBTCBufferedStream | ( |  | ) |

## Member Function Documentation

## ◆ available()

virtual int pfodBTCBufferedStream::available | ( |  | ) |
| virtual

## ◆ bytesToBeSent()

size_t pfodBTCBufferedStream::bytesToBeSent | ( |  | ) |

## ◆ clearTxBuffer()

void pfodBTCBufferedStream::clearTxBuffer | ( |  | ) |

## ◆ connect()

pfodBTCBufferedStream* pfodBTCBufferedStream::connect | ( | Stream * | _stream | ) |

## ◆ flush()

virtual void pfodBTCBufferedStream::flush | ( |  | ) |
| virtual

## ◆ init()

void pfodBTCBufferedStream::init | ( |  | ) |
| protected

## ◆ peek()

virtual int pfodBTCBufferedStream::peek | ( |  | ) |
| virtual

## ◆ read()

virtual int pfodBTCBufferedStream::read | ( |  | ) |
| virtual

## ◆ setDebugStream()

void pfodBTCBufferedStream::setDebugStream | ( | Print * | out | ) |

## ◆ write() [1/2]

virtual size_t pfodBTCBufferedStream::write | ( | const uint8_t * | buf,
|  | size_t | size
| ) |  |
| virtual

## ◆ write() [2/2]

virtual size_t pfodBTCBufferedStream::write | ( | uint8_t |  | ) |
| virtual